## nut 2.6.5

=== debian/changelog ===
nut (2.6.5-1) stable; urgency=low

  * Initial release	Closes: #nnnnn

 -- Hendrik Noack <hendrik.noack@axxedia-zeitarbeit.de>  Fri, 22 Feb 2013 13:17:31 +0100
