=== debian/control ===
Source: nut
Section: admin
Priority: optional
Maintainer: Arnaud Quette <aquette@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 7), autoconf, automake, dpatch, libtool, libgd2-xpm-dev | libgd2-noxpm-dev, libsnmp-dev | libsnmp9-dev, libusb-dev (>= 0.1.8), libhal-dev (>= 0.5.8), hal, libdbus-1-dev, libdbus-glib-1-dev, libglib2.0-dev, libneon27-gnutls-dev | libneon26-gnutls-dev | libneon-dev | libneon27-dev | libneon26-dev, libpowerman0-dev (>= 2.3.3), libwrap0-dev (>= 7.6)
Standards-Version: 3.8.4
Homepage: http://www.networkupstools.org
Vcs-Browser: http://svn.debian.org/wsvn/nut
Vcs-Svn: svn://svn.debian.org/nut/trunk

Package: nut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}
Recommends: bash-completion
Suggests: nut-cgi, nut-snmp, nut-dev, nut-xml
Provides: ups-monitor, nut-doc, nut-usb
Conflicts: ups-monitor, nut-doc, nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
Replaces: nut-doc
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers. In most cases it is sufficient for a basic UPS monitoring
 system.

Package: nut-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: apache | httpd
Suggests: nut
Replaces: nut (<< 1.1.11)
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-snmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 1.4.1-pre1)
Conflicts: nut (<= 1.4.0)
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-hal-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${udev}
Conflicts: nut
Provides: hal-ups-support
Breaks: udev (<< 124-1)
Description: network UPS tools - HAL interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides add-ons for the hardware abstraction layer (HAL) that
 allow desktop environments to monitor locally-connected UPS equipment. The
 HAL drivers cannot be used at the same time as the normal NUT upsd.

Package: nut-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.2.2)
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: nut-powerman-pdu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.4.0), powerman (>= 2.3.3)
Description: network UPS tools - PowerMan PDU driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides powerman-pdu, which allows NUT clients to communicate
 with the PowerMan daemon to support PDUs.

Package: libupsclient1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient1-dev
Section: libdevel
Architecture: any
Depends: libupsclient1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: nut-dev
Conflicts: nut-dev (<< 2.2.2)
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.


Package: libnutscan1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.


Package: libnutscan1-dev
Section: libdevel
Architecture: any
Depends: libnutscan1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: nut-dev
Conflicts: nut-dev (<< 2.2.2)
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.
