=== debian/watch ===
version=2
http://www.networkupstools.org/source/2.4/nut-(.*)\.tar\.gz debian uupdate
