## nut 2.7.1

=== debian/changelog ===
nut (2.7.1-1ubuntu5) wily; urgency=medium

  * Fix dep8 test failures:
    - Drop python-unit from dep8 dependencies since the python-test
      package has now been removed. The unittest module has shipped with
      Python since 2.1.
    - Add dep8 test dependency on python, since Python 2 is required and
      is not necessarily installed by default any more.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Oct 2015 10:08:30 +0000

nut (2.7.1-1ubuntu4) vivid; urgency=low

  * debian/patches/0006-ups-conf-reorder.patch: Move maxretry setting
    above Examples section, closer to the "outside of a driver definition"
    comment. (LP: #1405822)

 -- Tuomas Heino <iheino+ub@cc.hut.fi>  Fri, 26 Dec 2014 19:36:45 +0200

nut (2.7.1-1ubuntu3) utopic; urgency=medium

  * debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most 5
    seconds to shut down, instead of expecting it to be shut down immediately
    after sending the killall. (LP: #1291378)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Jul 2014 07:56:43 +0200

nut (2.7.1-1ubuntu2) utopic; urgency=medium

  * Disable systemd unit; it does not check nut.conf whether nut is
    configured, and thus fails to start (and the package install). The init.d
    script works well enough for the time being. (LP: #1313231)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 May 2014 13:22:12 +0200

nut (2.7.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      + remove Build-Depends on libpowerman0-dev
      + remove nut-powerman-pdu
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/{nut-cgi,nut-server}.postinst: add nut to the dialout and nut
      groups unconditonally to handle the upgrade from hardy release.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - debian/rules: Use udev version for Ubuntu
    - debian/series, debian/patches/backport-fix-lp753661.patch: re-enabled
  * Fix linking libupsclient.
  * Patch libtool.m4 and configure to support ppc64le.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2013 10:37:07 +0100

nut (2.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #730183)
    - Refresh debian/patches/0004-fix-systemd-service.patch
    - Rename libupsclient1 to libupsclient3 following the soname bump, rename
      libupsclient1-dev to libupsclient-dev, the package is not co-installable
      anyway
  * debian/rules, debian/control: Enable SSL support using libnss3
  * d/p/0005-Provide-retry-options-for-upsdrvctl-and-drivers.patch,
    d/p/0006-ups-conf-maxretry.patch: By default, retry to start the drivers
    up-to three times, this should mitigate races with slow devices
    (Closes: #694717)
  * debian/nut-server.install, debian/nut-server.manpages: Install new drivers
  * Move bash-completion file to /usr/share/bash-completion/
  * debian/patches/0007-killpower-path.patch: Revert POWERDOWNFLAG back to
    /etc/killpower
  * debian/nut-client.lintian-overrides: Add override for
    systemd-no-service-for-init-script ups-monitor
  * debian/rules: Drop static ordering for the initscripts and pass
    --restart-after-upgrade option to dh_installinit and dh_systemd_start to
    minimize the downtime of the daemons

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Nov 2013 20:57:51 +0100

nut (2.6.5-4) unstable; urgency=low

  * debian/control: Do not build nut-ipmi on hurd-i386 as freeipmi is not
    available on that platform.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jul 2013 12:29:58 +0200

nut (2.6.5-3) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control:
    - Move libupsclient1 package to libs Section
    - Add libgd-dev to the Build-Depends, keep the other alternatives to ease
      the backports
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Add autotools-dev to the build-dependencies so config.{guess,sub} are
      getting updated during build
    - Use canonical URL for the VCS-* fields
    - Add build-dependency against dh-systemd and bump minimal cdbs version so
      systemd helpers are called during build.
  * Added dep-8-tests to improve QA (from Ubuntu, closes: #708130)
  * debian/nut-monitor.menu, nut-monitor.xpm: Add Debian menu entry (Closes:
    #708813)
  * debian/rules: Drop manual creation of .service files symlink, this should
    be handled by dh_systemd now
  * debian/patches/0004-fix-systemd-service.patch: Also add Wants/Before for
    systemd-udev-settle.service in the nut-driver.service as it got renamed
    after udev merge
  * debian/patches/0004-fix-systemd-service.patch: Fix path for upsdrvctl in
    scripts/systemd/nutshutdown.in

  [ Ivo De Decker ]
  * debian/nut-client.preinst: also revert /etc/nut/nut.conf mangling done
    by postinst during upgrade from lenny to squeeze (Really closes: #677054)
    Thanks to Andreas Beckmann for the review.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jul 2013 00:50:06 +0200

nut (2.6.5-2) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Move the nut-monitor Suggests from nut-server to
    nut-client
  * Restore proper SELinux context for runtime created /var/run/nut directory
  * debian/control: Fix typo in package description
  * debian/watch: Update watch file URL (Thanks to Bart Martens)
  * debian/rules: Alias systemd nut-monitor service file to nut-client to
    prevent it from running twice
  * d/p/0004-fix-systemd-service.patch: Fix systemd service file for Debian
  * Install tmpfiles conf files to create /run/nut directory during boot

  [ Sébastien Villemot ]
  * debian/nut-client.preinst: revert /etc/nut/nut.conf mangling done by older
    versions of the postinst (Closes: #677054)

  [ Ivo De Decker ]
  * Only fix permissions of configfiles on first install.
  * Only remove /etc/init.d/nut from previous versions of nut in nut-server

