=== debian/tests/control ===
Tests: nut
Depends: nut-server, nut-client, python
Restrictions: needs-root
