## nut 2.7.2

=== debian/changelog ===
nut (2.7.2-3) UNRELEASED; urgency=medium

  * debian/NEWS: Fix NEWS file syntax

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Feb 2015 10:40:24 +0100

nut (2.7.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/gbp.conf: Switch to debian-jessie branch
  * debian/rules: Revert the changes made in the previous NMU, I don't think
    that dropping the .service file that late in the release cycle is a good
    idea and anyway this was causing left-over files on upgrade.
  * Add wrappers that check the MODE in /etc/nut/nut.conf to avoid starting
    the daemons if nut is not configured (Closes: #747863).

  [ Michael Fincham ]
  * Add patch that detects and corrects unsafe permissions on ~/.nut-monitor
    left over from old installations during NUT-Monitor startup.
    (Closes: #777706)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Feb 2015 09:54:11 +0100

nut (2.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port Ubuntu change to drop upstream systemd unit files to allow
    sysvinit files for Jessie. (Closes: #747863)

 -- Neil Williams <codehelp@debian.org>  Sat, 17 Jan 2015 10:29:11 +0000

nut (2.7.2-1) unstable; urgency=low

  * New upstream release
    - Fix the undefined references (Closes: #731156)
    - debian/patches/0004-fix-systemd-service.patch: Refreshed
    - Drop d/p/0005-Provide-retry-options-for-upsdrvctl-and-drivers.patch:
      Merged upstream
    - debian/nut-server.install: Upstream is now installing upsdrvctl /sbin
    - Rename package libupsclient3 to libupsclient4, soname got bumped again
  * debian/rules, debian/control, d/p/0004-fix-systemd-service.patch: Use a
    symlink instead of an Alias= to mask the SysV initscript
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/tests/control: Add lsb-release and netcat to the dependencies
    (Closes: #733189)
  * debian/control, debian/rules: Call dh-autoreconf and pass LDFLAGS to
    minimize runtime dependencies
  * debian/patches/0008-drop-w3c-icons.patch: Remove the link to external W3C
    icons to prevent privacy breach (privacy-breach-w3c-valid-html)
  * debian/nut-server.install, debian/nut-server.manpages: Install new
    nutdrv_atcl_usb driver

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Apr 2014 22:46:12 +0200
