=== debian/control ===
Source: nut
Section: admin
Priority: optional
Maintainer: Arnaud Quette <aquette@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               cdbs (>= 0.4.122~),
               autotools-dev,
               dh-autoreconf,
               dh-systemd (>= 1.14),
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libsnmp-dev | libsnmp9-dev,
               libusb-dev (>= 0.1.8),
               libneon27-gnutls-dev | libneon27-dev,
               libpowerman0-dev (>= 2.3.3),
               libwrap0-dev (>= 7.6),
               python (>= 2.6.6-3~),
               libfreeipmi-dev (>= 0.8.5) [!hurd-i386],
               libipmimonitoring-dev (>= 1.1.5-2) [!hurd-i386],
               libnss3-dev
Build-Depends-Indep: asciidoc (>= 8.6.3),
                     docbook-xsl,
                     dblatex (>= 0.2.5),
                     libxml2-utils
Standards-Version: 3.9.5
Homepage: http://www.networkupstools.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nut.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/nut.git
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest

Package: nut
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, nut-server, nut-client
Description: network UPS tools - metapackage
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package is a metapackage that installs both nut-server and nut-client,
 in most cases it is sufficient for a basic UPS monitoring system.

Package: nut-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}, nut-client (= ${binary:Version})
Suggests: nut-cgi, nut-snmp, nut-ipmi, nut-xml
Conflicts: nut-hal-drivers
Replaces: nut (<< 2.6.1-2~)
Breaks: nut (<< 2.6.1-2~)
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers.

Package: nut-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Provides: ups-monitor
Conflicts: ups-monitor
Recommends: bash-completion
Suggests: nut-monitor
Replaces: ups-monitor, nut (<< 2.6.1-2~), nut-server (<< 2.6.3-1~)
Breaks: nut (<< 2.6.1-2~), nut-server (<< 2.6.3-1~)
Description: network UPS tools - clients
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's clients that allows the user to control
 and monitor the UPS.

Package: nut-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: apache2 | httpd-cgi
Suggests: nut
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-snmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 1.4.1-pre1)
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-ipmi
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 1.4.1-pre1)
Description: network UPS tools - IPMI driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package currently provides nut-ipmipsu, a driver which allows
 to monitor IPMI power supply units (PSU) found in servers of
 popular brands, such as Dell, HP, IBM. It adds an IPMI interface
 to the core NUT system.

Package: nut-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.2.2)
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: nut-powerman-pdu
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.4.0), powerman (>= 2.3.3)
Description: network UPS tools - PowerMan PDU driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides powerman-pdu, which allows NUT clients to communicate
 with the PowerMan daemon to support PDUs.

Package: nut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Description: network UPS tools - documentation
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package contains FAQ, user, developer and packager documentation.

Package: libupsclient4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient-dev
Section: libdevel
Architecture: any
Depends: libupsclient4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libupsclient1-dev
Replaces: libupsclient1-dev
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.

Package: python-nut
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: network UPS tools - Python bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides Python bindings to connect to NUT server.

Package: nut-monitor
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject,
         python-gtk2,
         python-glade2,
         python-nut
Description: network UPS tools - GUI application to monitor UPS status
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-monitor, a GUI application to monitor UPS status.

Package: libups-nut-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: network UPS tools - Perl bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides Perl bindings to connect to NUT server.
