=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,19 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/python-module.mk
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
+# We cannot call autoreconf -f -i as it updates INSTALL which is used for doc
+# generation
+DEB_DH_AUTORECONF_ARGS = --as-needed
+
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
 # List any files which are not installed
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
+
+DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+include /usr/share/dpkg/buildflags.mk
 
 DEB_CONFIGURE_PREFIX      :=
 DEB_CONFIGURE_SYSCONFDIR  := /etc/nut
@@ -66,12 +74,17 @@
 	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a \
 		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a
 	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libupsclient.so.3 \
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libupsclient.so.4 \
 		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
 
+	# Move daemons and install wrappers
+	mv $(CURDIR)/debian/tmp/sbin/upsmon $(CURDIR)/debian/tmp/lib/nut/upsmon
+	mv $(CURDIR)/debian/tmp/sbin/upsd $(CURDIR)/debian/tmp/lib/nut/upsd
+	install -m 0755 debian/local/upsmon $(CURDIR)/debian/tmp/sbin/upsmon
+	install -m 0755 debian/local/upsd $(CURDIR)/debian/tmp/sbin/upsd
+
 	# Install systemd files only on systems where it's supported
-	# disabled in Ubuntu until the unit gets fixed to check nut.conf
-ifeq (linux-disabled,$(DEB_HOST_ARCH_OS))
+ifeq (linux,$(DEB_HOST_ARCH_OS))
 	install -m 644 -D $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/systemd/system/nut-monitor.service \
 		$(CURDIR)/debian/nut-client/lib/systemd/system/nut-monitor.service
 	install -D $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/systemd/system-shutdown/nutshutdown \
@@ -81,17 +94,15 @@
 	install -m 644 -D $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/systemd/system/nut-server.service \
 		$(CURDIR)/debian/nut-server/lib/systemd/system/nut-server.service
 
+	# Add a symlink to mask the LSB initscript
+	ln -s nut-monitor.service $(CURDIR)/debian/nut-client/lib/systemd/system/nut-client.service
+
 	# Install tmpfiles config file to create /run/nut directory
 	install -m 644 -D $(CURDIR)/debian/nut-client.tmpfiles \
 		$(CURDIR)/debian/nut-client/usr/lib/tmpfiles.d/nut-client.conf
 	install -m 644 -D $(CURDIR)/debian/nut-server.tmpfiles \
 		$(CURDIR)/debian/nut-server/usr/lib/tmpfiles.d/nut-server.conf
 endif
-
-	# install apport hooks
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py
-
 
 common-install-indep::
 	#install documentation
@@ -105,10 +116,6 @@
 		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
 	done
 
-	# install apport hooks
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py
-
-
 binary-install/nut-monitor::
 	dh_python2 -pnut-monitor
 
@@ -120,7 +127,7 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 # for Debian
-# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
+  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
 # for Ubuntu
-  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
+# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
 endif
